--- old/usr/src/lib/libm/common/R/logbf.c	2019-06-06 20:39:19.507284366 +0000
+++ new/usr/src/lib/libm/common/R/logbf.c	2019-06-06 20:39:19.526214932 +0000
@@ -22,6 +22,7 @@
 /*
  * Copyright 2011 Nexenta Systems, Inc.  All rights reserved.
  */
+
 /*
  * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
@@ -30,7 +31,7 @@
 #pragma weak __logbf = logbf
 
 #include "libm.h"
-#include "xpg6.h"	/* __xpg6 */
+#include "xpg6.h"			/* __xpg6 */
 #define	_C99SUSv3_logb	_C99SUSv3_logb_subnormal_is_like_ilogb
 
 #if defined(__x86)
@@ -40,46 +41,56 @@
  * v: a non-zero subnormal |x|
  */
 static int
-ilogbf_subnormal(unsigned v) {
+ilogbf_subnormal(unsigned v)
+{
 	int r = -126 - 23;
 
 	if (v & 0xffff0000)
 		r += 16, v >>= 16;
+
 	if (v & 0xff00)
 		r += 8, v >>= 8;
+
 	if (v & 0xf0)
 		r += 4, v >>= 4;
+
 	v <<= 1;
 	return (r + ((0xffffaa50 >> v) & 0x3));
 }
-#endif	/* defined(__x86) */
+#endif /* defined(__x86) */
 
 static float
-raise_division(float t) {
+raise_division(float t)
+{
 #pragma STDC FENV_ACCESS ON
+
 	static const float zero = 0.0F;
+
 	return (t / zero);
 }
 
 float
-logbf(float x) {
-	int k = *((int *) &x) & ~0x80000000;
+logbf(float x)
+{
+	int k = *((int *)&x) & ~0x80000000;
 
 	if (k < 0x00800000) {
-		if (k == 0)
+		if (k == 0) {
 			return (raise_division(-1.0F));
-		else if ((__xpg6 & _C99SUSv3_logb) != 0) {
+		} else if ((__xpg6 & _C99SUSv3_logb) != 0) {
 #if defined(__x86)
 			x *= two25;
-			return ((float) (((*((int *) &x) & 0x7f800000) >> 23) -
-				152));
+			return ((float)(((*((int *)&x) & 0x7f800000) >> 23) -
+			    152));
 #else
-			return ((float) ilogbf_subnormal(k));
+			return ((float)ilogbf_subnormal(k));
 #endif
-		} else
+		} else {
 			return (-126.F);
-	} else if (k < 0x7f800000)
-		return ((float) ((k >> 23) - 127));
-	else
+		}
+	} else if (k < 0x7f800000) {
+		return ((float)((k >> 23) - 127));
+	} else {
 		return (x * x);
+	}
 }
